Wiki  |   Blog  |   Sitemap  |   Search  
Home
JavaScript UI FrameworkAboutCompatibility
Web Technologies support table

Ample SDK (*) IE<9.0 IE FF SF CH KQ OP
Document Object Model
DOM-Core (L2) yes no yes yes yes yes yes yes
DOM-Events (L2) yes no yes yes yes yes yes yes
Selectors API yes 8.0 yes yes yes yes yes yes
DOM Extensibility
Prototyping DOM objects yes 8.0 yes yes yes yes yes yes
DOM Mutation events yes no yes yes yes yes yes yes
Creating custom UI elements yes HTC no XBL no no no no
JavaScript APIs
XMLHttpRequest yes 7.0 yes yes yes yes yes yes
JSON yes no yes yes yes yes yes yes
DOMParser yes no yes yes yes yes yes yes
XMLSerializer yes no yes yes yes yes yes yes
XSLTProcessor yes no yes yes yes yes yes yes
"HTML5 APIs"
hashchange event yes 8.0 yes yes yes yes yes yes
Drag & Drop yes yes yes yes yes yes yes yes
Mouse Capture yes yes yes no no no no no
XML Technologies
XInclude 1.0 yes no no no no no no no
XML Events 1.0 yes no no no no no no no
SMIL 3.0 (on arbitrary XML content) yes 2.1 no no no no no no
XML Schema 1.1 yes no no no no no no no
UI Technologies
HTML5 Canvas yes no yes yes yes yes yes yes
HTML5 Forms yes no no 4.0 yes yes no yes
HTML4 yes yes yes yes yes yes yes yes
XUL yes no no 4.0 no no no no
SVG 1.1 yes no yes yes yes yes yes yes

* Supported by Ample SDK browsers

Ample SDK runs in: Microsoft Internet Explorer 5.5+, Mozilla FireFox 1.0, Opera 9.1+, Safari 3.0+, Konqueror 3.5+, Mozilla 1.6+, Google Chrome 0.1+

** Legend
IE-Internet Explorer
FF-FireFox
SF-Safari
CH-Google Chrome
KQ-Konqueror
OP-Opera